function calctst,psf,dime,div,con
;+
;NAME:
;	calctst
;
;PURPOSE:
;	Rebin back the convolved array of intensities into
;	the array of observed SXT pixels, 
;	from convolved array "con"
;
;CALLING SEQUENCE:
;	res = calctst(psf,dime,div,con)
;
;INPUTS:
;       dime 	- dimension of the frame: 64  for (64x64) array
;       div 	- superresolution factor (f.i. 5)
;	psf 	- PSF 
;	con 	- convolved array of intensities
;
;KEYWORDS:
;
;METHOD:
;
;HISTORY:
;	written, J. Sylwester, Jan 1996
;-	
	

	res=dblarr(dime,dime)
	for i=0,dime-1 do begin
		for j=0,dime-1 do begin
		res(i,j)=total(con(i*div:(i+1)*div-1,j*div:(j+1)*div-1))
		endfor
	endfor

    return,res

end
