function chisq,meas,calc,uncert
;+
;NAME:
;	chisq      
;
;PURPOSE:
;	Calculates normalized chisqr parameter for two arrays
;	measured and calculated when array of uncertatinties is known.
;
;CALLING SEQUENCE:
;	res = chisq(meas, calc, uncert)
;
;INPUTS:
;	meas = array of measurements
;	calc = array's values of calculations
;	uncert = array of unceratinties
;	
;OPTIONAL INPUT KEYWORDS:
;	 
;METHOD:
;	Pearson's approach, normalized (per pixel)
;HISTORY:
;	Jan 1996, J. Sylwester, written	
;-


	nelm=n_elements(meas)
	nelc=n_elements(calc)
	if nelm ne nelc then print,'something wrong with array sizes'
		res=total(((meas-calc)/uncert)^2)/nelm
	return,res
end
