pro parabola,x,y,coef,xym,zeros
;??????? - sprawdzic opis
;+
; NAME:
;	parabola
;
; PURPOSE:
;	Calculating selected parameters of parabola from triples
;	of x and y,
;	y = ax^2+bx+c
;
; CALLING SEQUENCE:
;	parabola, x, y, coef, xym, zeros
;
; INPUTS:
;	x, y = vectors of abscissae & ordinates
;	
;
; OUTPUTS:
;	coef = vector of [a,b,c]
;	(a = coef(2), b = coef(1), c = coef(0))
;	xmf = coordinates of the parabola's summit
;       (xmf(0) - x coordinates, xmf(1) - y coordinates)
;	zeros = zero points
;
; KEYWORD:
;
; METHOD:
;	Classical solution of the parabola.
;
; HISTORY:
;	J.Sylwester, Feb 1998, written
;-


	x=x*1.d0
	y=y*1.d0
	a= (y(1)*(x(2)-x(0))-y(0)*(x(2)-x(1))+y(2)*(x(0)-x(1)))/$
	   ((x(1)-x(0))*(x(2)-x(1))*(x(0)-x(2)))

	b= (y(2)-y(0))/(x(2)-x(0))-a*(x(2)+x(0))

c=y(1)-a*x(1)^2-b*x(1)
coef=dblarr(3)
coef(0)=c
coef(1)=b
coef(2)=a
;calculating coordinates of the extremum
xym=dblarr(2)
xym(1)=(4*a*c-b^2)/(4*a)
xym(0)=-b/(2*a)
;calculating zeros
zeros=dblarr(2)
delta=b^2-4*a*c
if delta gt 0. then begin
if a ne 0 then begin
zeros(0)=(-1.d0*b-sqrt(delta))/(2*a)
zeros(1)=(-1.d0*b+sqrt(delta))/(2*a)
endif else zeros=zeros*0-c/b
endif
end