function sxt_comp, data
;
;+
;NAME:
;	sxt_comp
;PURPOSE:
;	Re-compress an image from 12 bits to 8 bits
;CALLING SEQUENCE:
;	img = sxt_comp(data)
;INPUT:
;	data	- An SXT image that has already been decompressed
;OUTPUT:
;	returns	- A byte variable of the input re-compressed
;HISTORY:
;	Written 15-Nov-91 by M.Morrison using Acton's routine
;	28-jan-93, JRL, Fixed bug for > 4096 case
;-
;
out=float( data>0<4095 )
;
lookup = bytarr(4096)
lookup(65:*) = byte(0.5+(59.249+sqrt(3510.39-9.5*(431.14-(findgen(4096))(65:*)))))
lookup(0:64) = indgen(65)

out = lookup(out)
;
return, out
end
