function ufun,n,t,obs,cal
;+
;NAME:
;	ufun
;PURPOSE:
;	Damping function for new likelihood function
;	following Richard.L White 
;
;CALLING SEQUENCE:
;	u = ufun(n, t, obs, cal)
;
;INPUTS:
;	n = 1 means no effect!!!
;	t should be > 0
;	obs = observed array
;	obs = the observed array
;	calc = the calculated array
;	"obs" and "cal" SHOULD BE EXPRESSED IN UNITS
;	OF MEASURMENT UNCERTAINTIES
;
;KEYWORDS:
;
;METHOD:
;	Image restoration Using the Damped
; 	Richardson-Lucy Method, in The restoration of HST Image 
;	and Spectra II, Space Telecsope Science institute, 1994
;	R.J. Hanisch and R.L.White eds, 104-110
;
;HISTORY:
;	J. Sylwester, Apr 1996, written
;-


	u=-2.d0/t^2*(obs*alog(cal/obs)-cal+obs)
    	u=u<1.d0

		u=(1.+u^(n-1)*(n-(n-1.)*u)*(obs/cal-1.))
	return,u
	end
